Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1736766 (CVE-2019-1010299) - CVE-2019-1010299 rust: print of uninitialized memory in the debug trait implementation for std::collections::vec_deque::Iter
Summary: CVE-2019-1010299 rust: print of uninitialized memory in the debug trait imple...
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2019-1010299
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1736769 1736770 1736771
Blocks: 1736772
TreeView+ depends on / blocked
 
Reported: 2019-08-01 23:06 UTC by Laura Pardo
Modified: 2019-09-29 15:18 UTC (History)
4 users (show)

Fixed In Version: rust 1.30.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-05 01:18:22 UTC


Attachments (Terms of Use)

Description Laura Pardo 2019-08-01 23:06:53 UTC
The Rust Programming Language Standard Library 1.18.0 and later is affected by an Information Exposure vulnerability. Contents of uninitialized memory could be printed to string or to log file in the debug trait implementation for std::collections::vec_deque::Iter when the program invokes the debug printing for an iterator over an empty VecDeque.


References:
https://github.com/rust-lang/rust/issues/53566

Upstream Patch:
https://github.com/rust-lang/rust/pull/53571/commits/b85e4cc8fadaabd41da5b9645c08c68b8f89908d

Comment 1 Laura Pardo 2019-08-01 23:28:58 UTC
Created rust tracking bugs for this issue:

Affects: epel-7 [bug 1736771]
Affects: fedora-29 [bug 1736769]
Affects: fedora-30 [bug 1736770]

Comment 2 Josh Stone 2019-08-02 16:01:19 UTC
> 1.18.0 and later

The upstream patch was merged for 1.30.0, so only 1.18.0 through 1.29.* are affected. Fedora and EPEL all have Rust 1.36, so I will close those bugs as CURRENTRELEASE.

Comment 3 Product Security DevOps Team 2019-08-05 01:18:22 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-1010299


Note You need to log in before you can comment on or make changes to this bug.